---------------------
PatchSet 1699 
Date: 2001/03/09 08:01:32
Author: kinkie
Branch: ntlm
Tag: (none) 
Log:
Types and includes saneify-zation for portability purposes.

Members: 
	src/auth/ntlm/helpers/NTLMSSP/smbval/md4.c:1.1.4.2->1.1.4.3 
	src/auth/ntlm/helpers/NTLMSSP/smbval/rfcnb-util.h:1.1.4.1->1.1.4.2 
	src/auth/ntlm/helpers/NTLMSSP/smbval/smblib-priv.h:1.1.4.1->1.1.4.2 
	src/auth/ntlm/helpers/NTLMSSP/smbval/std-defines.h:1.1.4.1->1.1.4.2 
	src/auth/ntlm/helpers/NTLMSSP/smbval/std-includes.h:1.1.4.1->1.1.4.2 

Index: squid/src/auth/ntlm/helpers/NTLMSSP/smbval/md4.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/helpers/NTLMSSP/smbval/Attic/md4.c,v
retrieving revision 1.1.4.2
retrieving revision 1.1.4.3
diff -u -r1.1.4.2 -r1.1.4.3
--- squid/src/auth/ntlm/helpers/NTLMSSP/smbval/md4.c	10 Jan 2001 07:19:54 -0000	1.1.4.2
+++ squid/src/auth/ntlm/helpers/NTLMSSP/smbval/md4.c	9 Mar 2001 08:01:32 -0000	1.1.4.3
@@ -25,8 +25,7 @@
  * It assumes that a int is at least 32 bits long
  */
 #include <string.h>
-
-typedef unsigned int uint32;
+#include "std-defines.h" /* for the types */
 
 static uint32 A, B, C, D;
 
Index: squid/src/auth/ntlm/helpers/NTLMSSP/smbval/rfcnb-util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/helpers/NTLMSSP/smbval/Attic/rfcnb-util.h,v
retrieving revision 1.1.4.1
retrieving revision 1.1.4.2
diff -u -r1.1.4.1 -r1.1.4.2
--- squid/src/auth/ntlm/helpers/NTLMSSP/smbval/rfcnb-util.h	7 Jan 2001 23:31:50 -0000	1.1.4.1
+++ squid/src/auth/ntlm/helpers/NTLMSSP/smbval/rfcnb-util.h	9 Mar 2001 08:02:24 -0000	1.1.4.2
@@ -23,6 +23,8 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include "std-includes.h"
+
 
 void RFCNB_CvtPad_Name(char *name1, char *name2);
 
Index: squid/src/auth/ntlm/helpers/NTLMSSP/smbval/smblib-priv.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/helpers/NTLMSSP/smbval/Attic/smblib-priv.h,v
retrieving revision 1.1.4.1
retrieving revision 1.1.4.2
diff -u -r1.1.4.1 -r1.1.4.2
--- squid/src/auth/ntlm/helpers/NTLMSSP/smbval/smblib-priv.h	7 Jan 2001 23:31:50 -0000	1.1.4.1
+++ squid/src/auth/ntlm/helpers/NTLMSSP/smbval/smblib-priv.h	9 Mar 2001 08:02:43 -0000	1.1.4.2
@@ -28,12 +28,8 @@
 
 #include "std-defines.h"
 #include "smblib-common.h"
-#include <sys/types.h>
 #include <unistd.h>
 
-typedef unsigned short uint16;
-typedef unsigned int uint32;
-
 #include "byteorder.h"		/* Hmmm ... hot good */
 
 #define max(a,b) (a < b ? b : a)
Index: squid/src/auth/ntlm/helpers/NTLMSSP/smbval/std-defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/helpers/NTLMSSP/smbval/Attic/std-defines.h,v
retrieving revision 1.1.4.1
retrieving revision 1.1.4.2
diff -u -r1.1.4.1 -r1.1.4.2
--- squid/src/auth/ntlm/helpers/NTLMSSP/smbval/std-defines.h	7 Jan 2001 23:31:50 -0000	1.1.4.1
+++ squid/src/auth/ntlm/helpers/NTLMSSP/smbval/std-defines.h	9 Mar 2001 08:03:06 -0000	1.1.4.2
@@ -26,8 +26,12 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#define BOOL int
-typedef short int16;
+#include "squid_types.h"
+#define BOOL int16_t
+#define int16 int16_t
+#define uint16 u_int16_t
+#define int32 int32_t
+#define uint32 u_int32_t
 
 #include <netdb.h>
 #include <sys/types.h>
Index: squid/src/auth/ntlm/helpers/NTLMSSP/smbval/std-includes.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/helpers/NTLMSSP/smbval/Attic/std-includes.h,v
retrieving revision 1.1.4.1
retrieving revision 1.1.4.2
diff -u -r1.1.4.1 -r1.1.4.2
--- squid/src/auth/ntlm/helpers/NTLMSSP/smbval/std-includes.h	7 Jan 2001 23:31:51 -0000	1.1.4.1
+++ squid/src/auth/ntlm/helpers/NTLMSSP/smbval/std-includes.h	9 Mar 2001 08:03:21 -0000	1.1.4.2
@@ -23,8 +23,10 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#define BOOL int
-typedef short int16;
+/* the types are provided by squid's configure preocess */
+#include "squid_types.h"
+#define BOOL int16_t
+#define int16 int16_t
 
 #include <netdb.h>
 #include <sys/types.h>
